# Class: multipath
#
# This module manages multipath
#
# Parameters:
#
# Actions:
#
# Requires: Multipath often requirest the iscsi module
#
# Sample Usage: include multipath
#
# [Remember: No empty lines between comments and class definition]
class multipath {
   $mod = "multipath"
   package { "device-mapper-multipath": }
   file { "multipath.conf":
      require => Package["device-mapper-multipath"],
      backup  => "true",
      path    => "/etc/multipath.conf",
      content => $lsbmajdistrelease ? {
         5 => template("${mod}/etc/multipath.conf.erb"),
         6 => template("${mod}/etc/multipath.conf.erb", "${mod}/etc/multipaths.erb"),
      },
   }
   service { "multipathd":
      require   => File["multipath.conf"],
      subscribe => File["multipath.conf"],
      notify    => Exec["multipath"],
      ensure    => "running",
      enable    => "true",
   }
   exec { "multipath":
      path        => "/bin:/usr/bin:/usr/sbin:/sbin",
      command     => "multipath",
      logoutput   => "true",
      refreshonly => "true",
   }
}

